package com.contabilidad.EntConta;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


@Entity
@Table(name = "historial_pagos_planilla")
public class HistorialPagosPlanilla implements Serializable {

    @Id
    @Column(name = "id")
    private Integer id;

    @Column(name = "empleado_codigo")
    private String empleadoCodigo;

    @Column(name = "liquido")
    private BigDecimal liquido;

    @Column(name = "isss")
    private BigDecimal isss;

    @Column(name = "renta")
    private BigDecimal renta;

    @Column(name = "afp")
    private BigDecimal afp;

    @Column(name = "cooperativa")
    private BigDecimal cooperativa;

    @Column(name = "otros_descuentos")
    private BigDecimal otrosDescuentos;

    @Column(name = "horas_extras")
    private BigDecimal horasExtras;

    @Column(name = "salario")
    private BigDecimal salario;

    @Column(name = "fecha_pago")
    private Date fechaPago;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getEmpleadoCodigo() {
        return empleadoCodigo;
    }

    public void setEmpleadoCodigo(String empleadoCodigo) {
        this.empleadoCodigo = empleadoCodigo;
    }

    public BigDecimal getLiquido() {
        return liquido;
    }

    public void setLiquido(BigDecimal liquido) {
        this.liquido = liquido;
    }

    public BigDecimal getIsss() {
        return isss;
    }

    public void setIsss(BigDecimal isss) {
        this.isss = isss;
    }

    public BigDecimal getRenta() {
        return renta;
    }

    public void setRenta(BigDecimal renta) {
        this.renta = renta;
    }

    public BigDecimal getAfp() {
        return afp;
    }

    public void setAfp(BigDecimal afp) {
        this.afp = afp;
    }

    public BigDecimal getCooperativa() {
        return cooperativa;
    }

    public void setCooperativa(BigDecimal cooperativa) {
        this.cooperativa = cooperativa;
    }

    public BigDecimal getOtrosDescuentos() {
        return otrosDescuentos;
    }

    public void setOtrosDescuentos(BigDecimal otrosDescuentos) {
        this.otrosDescuentos = otrosDescuentos;
    }

    public BigDecimal getHorasExtras() {
        return horasExtras;
    }

    public void setHorasExtras(BigDecimal horasExtras) {
        this.horasExtras = horasExtras;
    }

    public BigDecimal getSalario() {
        return salario;
    }

    public void setSalario(BigDecimal salario) {
        this.salario = salario;
    }

    public Date getFechaPago() {
        return fechaPago;
    }

    public void setFechaPago(Date fechaPago) {
        this.fechaPago = fechaPago;
    }


    public HistorialPagosPlanilla() {
    }
}
